//
//  DRMovieFrame.h
//  DeepRecorder
//
//  Created by mmivi on 17.03.09.
//  Copyright 2009 Deep IT. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DRPixelBuffer.h"
#import "CividFile.h"
#import "DRCursor.h"

@interface DRMovieFrame : DRPixelBuffer {
	CividFrame _info;
	
	NSData * keyStrokes;
	NSString * keyStrokesString;
	
	CITCursorInfo currentCursorInfo;
	unsigned char * currentCursorData;
	const unsigned char * prevCursorData; //just flag, do not use
}

- (id)initWithInfo: (CividFrame)info;
+ (id)movieFrameWithInfo: (CividFrame)info;
+ (id)movieFrameWithSize: (NSSize)size;

- (void)setKeyStrokes:(NSData *)array;
- (NSData *)keyStrokes;
- (void)setKeyStrokesString:(NSString *)keysString;
- (NSString *)keyStrokesString;

- (CividFrame)info;
- (void)setInfo: (CividFrame)info;

- (void)drawCursor: (NSDictionary *)cursorRecord  atPoint: (NSPoint)point;
- (void)drawCursor: (NSDictionary *)cursorRecord  atPoint: (NSPoint)point asRGBA:(BOOL)isRGBA;

- (void)setTimestamp:(double)value;
- (double)timestamp;

@end
